KAS_CREATE(8)

NAME
kas_create - Creates an entry in the Authentication Database

SYNOPSIS
kas create B<-name> <I<name of user>>
    [B<-initial_password> <I<initial password>>]
    [B<-admin_username> <I<admin principal to use for authentication>>]
    [B<-password_for_admin> <I<admin password>>] [B<-cell> <I<cell name>>]
    [B<-servers> <I<explicit list of authentication servers>>+]
    [-noauth] [-help]

kas c B<-na> <I<name of user>> [B<-i> <I<initial password>>]
    [B<-a> <I<admin principal to use for authentication>>]
    [B<-p> <I<admin password>>] [B<-c> <I<cell name>>]
    [B<-s> <I<explicit list of authentication servers>>+] [-no] [-h]

DESCRIPTION
The kas create command creates an entry in the Authentication Database for the user named by the -name argument.

To avoid having the account's initial password echo visibly at the shell prompt, omit the -initial_password argument; the command interpreter prompts for the password and does not echo it visibly. Whether or not -initial_password is omitted, the Authentication Server converts the password into a form suitable for use as an encryption key, and records it in the entry's key field.

To alter settings in an Authentication Database entry, use the kas setfields command. To examine an entry, use the kas examine command. To list every entry in the database, use the kas list command.

OPTIONS

-name <name of user>
    Names the new Authentication Database entry. Because it is the name under which the user logs in, it must obey the restrictions that many operating systems impose on user names (usually, to contain no more than eight lowercase letters).

-initial_password <initial password>
    Sets the user's password; provide a character string that can include uppercase and lowercase letters, numerals and punctuation. The Authentication Server scrambles the string into an octal string suitable for use as an encryption key before placing it in the entry's key field. If this argument is omitted, the command interpreter prompts for the string and does not echo it visibly.

-admin_username <admin principal>
    Specifies the user identity under which to authenticate with the Authentication Server for execution of the command. For more details, see kas(8).

-password_for_admin <admin password>
    Specifies the password of the command's issuer. If it is omitted (as recommended), the kas command interpreter prompts for it and does not echo it visibly. For more details, see kas(8).

-cell <cell name>
    Names the cell in which to run the command. For more details, see kas(8).

-servers <authentication servers>
    Names each machine running an Authentication Server with which to establish a connection. For more details, see kas(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. For more details, see kas(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example shows the prompts that appear when an administrator logged in as "admin" creates an Authentication Database entry for the user "smith", and does not include either the -initial_password or -password_for_admin arguments.

   % kas create smith
   Password for admin:
   initial_password:
   Verifying, please re-enter initial_password:

PRIVILEGE REQUIRED
The issuer must have the "ADMIN" flag set on his or her Authentication Database entry.

SEE ALSO
kas(8), kas_examine(8), kas_list(8), kas_setfields(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.